#ifndef __PKT_ICMP_HEADER_INCLUDED__
#define __PKT_ICMP_HEADER_INCLUDED__

typedef struct fs_icmphdr{
	u_int8_t	type;
	u_int8_t	code;
	u_int16_t	csum;
	union {
		u_int32_t gateway;
		
		struct {
			u_int16_t id;
			u_int16_t seq;
		}echo;

		struct {
			u_int16_t __unused;
			u_int16_t mtu;
		}frag;

		struct {
			u_int8_t  num_addr;
			u_int8_t  wpa;
			u_int16_t lifetime;
		}advert;
	}un;
}fs_icmphdr_t, *p_icmp;

#endif /* __PKT_ICMP_HEADER_INCLUDED__ */
